<?php

App::uses('PluginInstallShell', 'shells');

class RoutableInstallShell extends PluginInstallShell
{
	public $uses = array(
		'Routable.Route'
	);

	/**
	 * call parent run() This will auto run any migrations
	 *
	 * Use the run() method here to insert any content
	 */
	public function run()
	{
		parent::run();

		$this->Route->save(
			array(
				'Route' => array(
					'alias' => '',
					'actual' => 'ev_core_pages/view/1'
				)
			)
		);
		$this->Route->clear();

		$this->Route->save(
			array(
				'Route' => array(
					'alias' => 'sample',
					'actual' => 'ev_core_pages/view/3'
				)
			)
		);
	}
}

